58dac62 Cluster MLOK needs to clear the frame bolts.
73ed688 Advancing the bullpup design a bit.
f0c653c Fix missing var.
826c4fa Minor doc improvements.
07a595e Fixing teardrop angle for retaining pin.
6541e0c Show the recoil plate at full alpha unless specified.
bc764dd Adding additional tools to docs.
5b0e9af Reduced Top/Bottom thickness to just over 1/8"
98a42ac Moving TopBreak common docs to appendix pages.
44795a0 Adding more barrel wall to the cluster.
f976354 Fixing latch tab cutter.
2e7a991 Adding bearing surface to the handguard/cluster/sightpost. Add vars.
bb991a5 Bumping handguard bolt offsets.
fec9a44 Add extractor retainer punch-out hole.
abfc691 Bumped latch clearance. Fix latch alpha.
9f48f05 Fixing stock takedown pin position.
5549754 Mlok and side bolt supports put into the same hull (Cluster).
751209f Putting mlok blocks and side supports into a hull.
e21feec Fixing FP37 handguard and latch tab w/ params. Code maintenance/cleanup.
4d8dcec Using the Spring module for latch springs.
e793836 Fixing pivot path.
c89e1ec Modularized extractor spring. Fixing render/preview options.
f5cf2d6 All the usual forends are now "CAFE" branded.
bc59a2d Restoring stock backplate dimensions.
c08cb74 Removing unused set screw.
047573e Adding handguard bolts to BOM.
7797e4e ForegripBolts are now called HandguardBolts
71ffaa5 Improving interop for everything under 1.325"
618f60a Pass recoil plate length param down to FCG from TopBreak.
d4f0a90 Move the MLOK slot up instead of down. Add some extra wall.
5033acb Revert "Removed the VFG in favor of an mlok slot."
8cde4b9 Union grip with children.
93a2f55 Removed the VFG in favor of an mlok slot.
592e82e Fixing foregrip bolt length, they're threaded rods and need a cap.
3e4e925 Extend the high-top section of the receiver the full length.
10ca8d5 Extend pic rail bolt distance to 100mm for 13-slot mlok pic rail.
f2cfeb8 Fix receiver lugs.
a4440ab Extended sightpost, removed set screw. Added "Forend Bolts" for stack.
9907533 Default barrel length is now 19". Removed 37mm SPAT variant.
50fa162 Add missing Units.
c407302 Removing spare comma.
db9b633 Tweaking FP37 forend bolts.
1a37c22 Added an extra offset param for the extractor to fix the FP37.
cb5d842 Fixing thumbscrew block height.
f6824c8 Tweaking trunnion fixture.
6beefd2 Unifying around "Fixtures" terminology.
9da3e3e Adding rudimentary carriage bolt support.
dab9823 Improved cutaway support for Lower.
89e80d0 Resolution code now a bit clearer.
375068c Added 6.8/11 ramset
9605963 Tweaking 22 PAT size.
4f9e532 Tweaking forend shape, extractor retainer length. Ditched mlok on collar
f35ab2a Tweaking forend bolt location a bit.
5a979ca Extend the forend 1/8". Angle forend bolts slightly. Fix print angle.
f371d8c Render the forend bolts.
8978afe Adding forend bolts, styled after #6x3" deck screws.
5ce9c67 Add ClusterRearLength var.
c01cd0e Using a plain NEMA17 motor for the rotary drive. Minor dim fixes.
54231f2 Vitamins on their own page.
41e6d2d Whitespace
393be5e 1x1 gang.. for now.
2dc0cb6 Adding fixtures to renderable prints.
faa8f28 Adding extractor gang fixture.
6905ae4 Make Receiver hardware an boolean option.
0194c1a Adding a jig for the hammer sleeve.
5e607b1 Updating BOM to reflect packet contents.
a513ce7 Add firing pin jig, fix sear jig.
98d5950 Updating customizer docs.
16f5c43 Fix up and enable more customization.
25192bd Adding a mason jar base.
ff13ffa Updating the BOM for part kits.
ed54f56 Tweaking sizes to optimize print time.
e577954 Tweaking dimensions for filter.
7662942 Fixed up the sear jig fixture.
33798db Fix sightpost rendering.
99579e4 Coffee filter tool for ECM.
039f788 Fix hold-down block width.
7fe542c Cut the punch block all the way through.
89045a1 Add clearance to punch hole.
b99c0a5 A few jigs to aid in assembly.
88d5f60 Renamed a few things in the drill. Moved the linear drive to the rear.
c94e3c0 A bit of customizablility and lots of misc. fixes for drill.
d10d8f8 Add rendering dropdown
5aa8f50 Fixing basic rendering on ECM drill.
e1fe9af Tweaking vertical and standard foregrip.
149c108 Updating ECM files so it actually renders again.
b07f90e Added forend and sightpost with mlok.
b6177b0 Minor reorder of imports.
7a26ef6 Teardrop both ends of the grip.
849547e Buttpad bolt Z is now available as a fucntion. Added bolt hole chamfers.
9c29c53 Generalizing arm code a bit.
8dd970f Fixing SPAT37 code.
96658f9 Fixing table whitespace
d51f15c Renaming Barrel Sleeve to Trunnion... that's what it is. Minor fixes.
98e30bc Tweaking fixtures.
22ee238 Adding vblock milling fixture.
cdcda37 Fixing double underscores.
d9662df Whitespace.
acd80e1 Tweaking about page.
c92d184 Changing how the stock pins are iterated, moving it out of the hardware.
c5919cf Add Magazine vitamin.
bc213ee Add retaining pin holes every inch. Render retaining pins with chamfers.
c1247ba Adding emphasis.
a8e3bc6 Updating About doc.
b6c065f Move logo text size to Receiver.
2f2a944 Changed all the preview/print scalings to use new ScaleToMillimeters.
6d4d201 Finish rename of utility functions.
843e992 Renamed UnitsImperial to Inches and UnitsMetric to Millimeters.
75d97fb Update hammer spring specs and inset depth. Fixing whitespace.
eeb36eb Added Banality of Evil header to Why doc.
2802db2 Render the Revolver and Evolver.
5da6e26 Colored the belt consistently with the rest of the model.
45b4c3c Whitespace
72d9a87 Cut more into the barrel center with the extractor retainer - missed a lip.
99f1159 Fixed nuts for the FP37.
85a37c2 Don't show the FCG in preview. Show extra rounds in preview.
4439204 Whitespace
8ca0431 Hide receiver mlok bolts.
9382b38 Remove print, it should be hardware.
dd51f2a Tweaking extractor/latch interaction. Added a cutout to the latch tab.
caf3325 Teardrop the front of the barrel collar.
b035183 Fixing ordering.
489ac76 Revolver and Evolver now preview the same as the others.
d8ae51e Adding last commit date to manual version.
0f263ad Fixing git repo file path.
525e7a1 Fixing table spacing.
4f4b610 Source is now a shallow clone like it should be.
90c411b Dropping the extra Makes.
e696ffd Less verbose component descriptions.
382ac2a Tweaking totals table.
816b69f Only build the TopBreak presets.
5f1614f Add Vitamins list to minuteman components, more complete lists.
5827099 Ignore the build log.
39850c1 Sear pin should be silver.
80fdbc2 Tweaking what to render by default in FCG. Springs should be silver.
6e1214e Add hardware/prints support.
7085e53 Show trace logging.
e4dbb33 Dist should only be zip.
e484f0f Minor doc fix
dec7512 Fix/improve renders for the PDF.
846daa3 Use properly sized assembly photos.
ced994d Fixing assembly zip.
415415a Fixing the mlok fillet, removing a gap.
bde1e1a Updating the title page.
f9bdb72 Basic Evolver fixes.
0401b06 Ignore dist dir if it exists.
bbeb75b Include dirs in the copy to dist.
be022b1 Add the mkdir for dist.
d7363b2 Var fix
b98868f Adding Prints/ and Hardware/ to evolver parts.
909e42f Bringing over my Helix and ZigZag changes.
f83eb2d Moving the Evolver to the new ../Forend dir and fixing paths.
e4c2d2e Fixing Meta/Conditionals and Cutaway rename.
2469a4c Added Evolver to Makefile.
c39ad5b Updating after rebase.
ae03e44 Saving current EVOLver work before I make a mess cleaning it up.
0ef13df Evolver updated with actuator toggles.
1605d91 Lots of the forward portions of the action placed.
48a7afc Don't chamfer when cutting the zigzag.
9360241 Cleanup and working on the action.
fe652cb Working on the EVOLver action.
80357ef Just before I remove the ratchet.
500d1c9 Tweaking colors and customizer assembly.
9f3cd93 Renaming the triple belt link print.
5ed99cd Renaming SpindleActuator* to Actuator*
d1b1569 Removing all the gear business from the evolver.
a0fe574 Adding belt drive tooth.
0277834 Whitespace fix
fa2ebe9 Dimension tweak for spindle hole.
69370d1 Restoring the name and tweaking customizer headers.
b9a2e48 Tweaking interlock cutters and prints.
f4732fd Checkpoint WIP. Kinda set on a zigzag and pawl/ratchet combo.
d660117 Cleaning up animations and cutters.
54ab5e9 Evolver WIP. Added several widgets and thinking toys.
6b9dd1d Adding belt code.
f25bddd Adding a few misc. tools to the repo and Felix' drill code.
9d0b122 Don't ignore Tooling dir.
3797f5a Adding solid core ECM electrode and initial readme.
174a4d8 Adding ECM drill code to repo
a4fbb68 Getting annoyingly explicit about prereq PNGs. Improve clean.
d664d59 Fix assembly rendering to high res.
da3c4cd Output Make and OpenSCAD versions in buildspec.
f792d66 OpenSCAD seems inconsistent; plow ahead and check at the end.
3107a40 Keep going on build errors.
409bac9 Moving Forends out of the Receiver dir.
a1c8ee4 @fortysevenangles:matrix.org tap drill size patch.
85370b2 Render previews in high resolution.
15eac89 Extend the latch tab towers by 0.5". Support cutaways.
b2a779c Add ReceiverBottomInterface to projections.
422b26a A little doc cleanup.
29767cf Added lots of detail to the CAFE12+ build.
473bff6 Working on forend docs. Not great, not the worst.
b9fa14c Makefile.in vars now immediate eval. PNGs are precious. +Docu / Res Fix
f868039 Minor doc improvements.
b1012c2 Fixing a few typos.
b9320be Fixing filters..
ad4d4e5 Adding some instructions for the CAFE12+ assembly.
4c3b0ab Adjust the Assembly camera to fit everything.
577a0de It's "lube" now instead of "oil"
2f75b5d Improving forend docs.
381cbb2 Updating CAFE12 docs.
76b042c Changed wording on first build.
95e3ee6 Put source into a labeled directory.
6cb45a3 Changing up a few defaults for the Assembly view.
1e9ed45 Tweaking format.
e2be7b5 Mentioned subchapters in print list.
7ac2ef1 Tweaking print list.
d2cab52 Fixing print-orientation prints.
e6a5afe Adding source zip file; added -9 compression.
6ba2c96 Turn off the ZZR for now.
d736a17 Make a source zip.
a615d7e Use Assembly images for subcomponents.
8d758e5 Added Assembly images to manual.
e33bf94 Fixing cluster lower extension radius to prevent pinching.
4235ea2 Global whitespace fix.
0eeaa1a Fix ordering for proper alpha.
efe3aa9 Removing an empty diff/union.
05c2787 Resized thumbnails so they fit 4 across.
c454e1c Improving parts list table.
f7706bb Adding paths to file lists.
fc2528c Fixing another double render()
cf8f67b Add convexity to RenderIf
f51512f Removing more superfluous renders and unions from shapes.
474223a Removing SVGs.
9e9ea93 Receiver overview update
b38e6a1 Fix cutout in the forend.
1314e58 Bumping CAFE pipe sleeve diameter and clearance... shims are easy.
0ccfb6b Removing superfluous unions and renders.
19c321f Remove secondexpansion components.
6f2a1ed Moving specific rules lower.
fecadfa Fixing filter patterns.
76cd51d Filtering to include fixtures and projections, no assembly.
1a02d4e Make boilerplate.
9bf3172 Render Forend Preset fixtures and projections.
03671d2 Moved projections to Projections/
fb3f274 Doc tweaks.
142e01a A little refactoring vars. Fixed forend inclusion in zip.
ada352f Manual requires the subdirs be built.
f762364 Finalish version of the makefile rolling in.
5808364 @fortysevenangles:matrix.org Spring patch plus my no-copyright refactor.
5694d47 Working on the docs for Chapter 2.
3c7ba74 Fixing print thumbs in docs.
d915e73 Adding extra alapha/show checks for the ReceiverAssembly.
91ccc74 Fixed Forend Makefile presets and assembly rendering.
d20b63e Move some detail gathering stuff into user functions.
7d6fe0b Building STLs into subdirs like Prints/, Hardware/, etc.
c34bc9b Fixing SVG export DPI.
a880c78 Additional documentation. Added graphic for FatNozzleGang.
45ffd53 Improving Makefile for assemblies.
e02783e Did the big find-replace, will fix anything that errors in build.
3f43f61 Adding some global helpers, will get around to these.
a87b48d List parts dynamically. Render one file at a time. Split renders dirs.
e0ab002 Frame bolts now use a customizer var.
116bfef Moved bolts above frame assembly so they show in transparency.
1722982 Minor doc updates: Tools.
f60d3cf Tightening tolerances on the pivot all around. Delete old code.
038d0bb A little more wording for Gut Check.
e6a6295 A little reordering and minor doc improvements.
10bd248 Major work on improving the docs and flow as a guide.
5ea629f Minor doc updates.
a465b18 Additional documentation updates.
af207e5 Printing wording updates.
1a790de More doc updates for wording/typos.
c3b9659 Moving to the list_parts userdef function.
00c6bdb Minor doc fixes for TOC/titles.
d7377f2 Changed list_parts to a *.parts file.
ba90535 Fixing lower rendering positions.
39432da Ignoring intermediate build files.
6163f7b Working on the readme.
4abdfe5 PivotClearanceCut now chamfers the cut.
55b3793 Rotated carriages.
fff3079 Cleanup to get the spring coiler working again.
1dd595f Adding CAFE12M for metric.
d8cef02 Fixing frame length.
237b589 Filter out Source dir when considering subdris.
38c4860 Improving flow of docs.
d7cfacc Improving docs images.
42f6e7e Working on documentation updates.
f1f4dcc A bit more Makefile cleanup.
fc965ca More fixing of Forend makefile.
b237d84 Fixing Forend Makefile.
e12dfc8 Changing ExtractorRetainer to a round pin.
d2ce607 Default edgeOffset to zero... why did I even add that? lol
7282d6e Trigger is now one piece. Updated complete print list filament and time.
01313e3 Going too far back with the LatchTab creates a sharp edge that catches.
873c85e Fixing BarrelCollar print orientation.
dcbb67f Fixing hardware name.
d7be13b Fixing pump grip length var name change.
9b7c595 Tightening pivot tolerances.
fd1018b About is now mostly a "Why" page. Moved other bits to Developers.
a3c3e26 Moving the latch all the way back..
c4ac3c5 Renamed LatchBar to LatchBars. Added hardware renders.
12e5cb9 Pump grip channels are customizable, optional, and chamfered.
608f6c0 Ring gap is now automatic.
55e3440 Removing all the old manual Resolution() calls.
e9421b9 Renamed DebugHalf to Cutaway.
1812421 Cleaning up DebugHalf usage.
0e9acad Playing with bullpup dimensions.
d37d12b Added Meta/Conditionals and moved *If.scad
3f23d2f Fixing gap at 1/16"... rim width is big in 37mm :)
6b76bb0 Added more detail about the CAFE12 and CAFE12+
ab76a13 Renamed Latch to LatchBar
2c8add4 Removing old preset rules, now handled via Makefile.in
060f66e Fixing Render for print, added debug var.
0afef2d Updating TopBreak presets.
bf2f4be Do not render the forend before export.
47e97da Deleting old ActionRod
fcc1cb6 Slimming and cleaning the TopBreak cluster.
8728db2 Fix ReceiverBack rendering
40c9d25 Fixing suffix.
94df893 Putting the hammer hole in Receiver_Back.
7763e81 Adding cluster bolt settings.
798ee61 Cluster bolt is now customizable, you can change the head and nut.
d8358d1 Fixing teardrops.
1fbfa5b Fixing front lower mount. Sear tab is now chamfered.
8e15b7a Move class HTML to the main Forend dir. Add more hardware. Cleanup assy.
32fcdc4 Allow the barrel sleeve to be a bit too long.
5f5f5ae Namespacing fixtures.
be89b89 Teardrop the front of the cluster.
9602750 Moving the TopBreak Latch to hardware - use 1/4" square rod.
eb004ff Cluster bolts and grip bolt now have their own SHOW vars.
635086a Render the Minuteman first, CAFE12 and FP37 last.
8a978fd Moving the lower parts to their proper position.
b871d15 Clone git repo to Source/
7e48770 Add a shallow clone of the L12k source to the zip.
609a197 Fixing doc link.
f3ecb30 Adding Sightpost to TopBreak STL output/assembly.
138f5b1 Updating mlok cluster style.
4e6a3c8 Add latch and foregrip to makefile.
c077cce Added foregrip cluster and VFG. Tweaking latch dims.
a6a7dbc Backplate now covers tension rod nuts. Removed explicit $fn args.
9c59fc1 Narrowing clearances for mlok slots.
9c4efda Fixing bolt length.
db1f696 Adding an offsetX for the clearance cut.
ba279ed Fixing latch tab tower height. Latch blocks are now steel.
96a25e9 Render TopBreak hardware. Working on revolver rendering.
2361f47 Added latch prototype.
cdfe47c Split rendering of bolts and nuts. Color brass inserts.
7624cd7 Remove vids from default build.
b3d88a2 Ignore all zip files.
1cd6b46 Include assembly recursively.
3dc985f Reworking Makefiles to work with Assembly and Print renders.
f8c538a Adding stock preset file.
5b806ba Removing _* vars from preset JSON files - messes with release.
dc807f2 Fixing Lower usage.
f9d0a04 Adding recoil plate template SVG.
e1f6192 Simple shell now supports snapcaps.
2011bdd Make clean is now more aggressive and recursive. Working on cleanup fn.
68e7d75 Replace "Print" with "Export"
a6e20b1 Assembly_* is now Preview_*
69b067e Fixing trigger STL offsets.
7a67793 Fixing up FCG and lower renders for assembly/print.
afd1c5f A few fixing from the lower relocation.
d54082d Add Lower to Makefile.
4624e36 Moving Lower into Receiver top level.
4bab3d3 Hardware only in Assemblies.
21368d3 Sorting assemblies.
15dffef Updating "Why"
2fb7544 Moving Exhibition guns to their own folder.
ba1ae96 Removing old file.
8fa5fe4 Formatting for PDF rendering.
1f68391 Cleaning up Receiver Makefile.
1ba654e Added Hardware for Assembly export.
de680c1 Fixing Frame render code.
0cbf047 Fixing Revolver_ForendSpacer name.
b212c35 Initial support for rendering Assembly/ STLs.
65991c1 Stop on warnings.
4ba6c17 Teardrop holes by default.
a9c377f Fix missing include.
6adc7db Add hardware and and assembly-view STLs.
b51bd60 Tweaking gitignore.
beb1ebd Rearranging for transparency.
7b245c5 Fixing reference to TopBreak.
bb561c7 Log animation steps.
5b5eb52 A bit more work on the bullpup.
7a5617a Improving Resolution support in Chamfer lib.
9ddacd2 Fixing typo.
928ea2c Remove explicit $fn.
660cc00 Disable pineapple grip.
aeba46b Moving towards auotmatic resolution for circles across the project
975a2c9 Fixing buttpad bolt position.
78c9529 Removed ExtractorAssembly, moved it into the TopBreak assembly.
bb5953a Adding experimental projectile ideas.
7d119e1 Adding printed ammo updates.
93415c1 Improving resolution-based $fs/$fa.
bd38b61 Hammer nut and bolt are now configurable.
5ab27d8 Fixing imports.
db90546 Remove specified FNs.
49e108c Add SpindleZ for everything to use.
ce38445 Add and use Frame_ReceiverSegment. Also remove FrameBackLength.
f02bcce Removing specific resolution.
a726d01 Fixing missing include.
4a4b622 Improving low/hi resolution support.
2ae8a7d Improving makefiles and docs.
9c9dce7 Major improvements to Fillet.
a8a0bb3 ZigZag now supports being mirrored.
d41ad65 Fix _SHOW_TOPBREAK_EXTRACTOR
473397e Tuning Makefile deps.
4a27b67 Make clean is now recursive. Adjusting a few more deps.
32a22e6 Using a recursive make to get wildcard deps. Subdirs are now included.
9e9b1f0 Removing make dist.
23c86c7 A few updates to .gitignore.
0925cf6 Streamlining STL previews a bit.
d01e8b0 Cleaning up how docs and zip are generated. Ditching dist dir.
621f5ea Fixing dep order.
b3204a7 Adding a lot of page breaks and other polish to the manual.
27b9a2d More tweaking for the book
3ef10af Fixing recoil plate thickness in BOM.
0957d2c A few updates to the FreedomFab.
272a178 Updating docs and makefiles. Added Ammo, working on Forend docs.
de9d2de Updating forend docs.
b580e26 Docs and makefiles to support docs!
6fc5205 Lots more work on the manual.
4fe4492 Lots of work to the docs - using htmldoc to build a linear PDF guide.
56b1598 More trigger/lower cleanup. Working on an assembly viewer.
c1abaaa Setting default Lower position. Cleanup old Trigger.scad references.
7ce065c Fixing whitespace.
0eb2b1c Moving Trigger into the FCG and out of the Lower.
a95c723 Create CONTRIBUTING.md
7affda8 I made the Lower makefile angry. Removing bad files to fix later.
e62b48d Tweaking my log levels.
41d32cc Render frames quietly, that's a lot of noise.
7550797 Improving makefiles and docs.
88ea782 Using JPGs in the docs instead of PNGs.
c19482b Fix hammer bolt clearance and print orientation.
be7bce9 Grab all the videos for docs.
acaa638 Lower STLs are now included correctly.
0eaace3 Doc improvements.
4dc27a4 Cache the Receiver dir and its contents.
ec913e4 Merge pull request #9 from JeffreyRodriguez/Alpha2
ee9a998 Fixing how Components is made and deps.
fba3453 Removed mp4 from makefile, will get back to it.
bffe049 Fixing class making.
b2910e2 Recurse into the Receiver subdir before making the dist forends.
207a641 Don't actually depend on the child STLs.
b4902ac Fixing wildcard.
0eca4b8 Improving dist/Receiver dependencies and build. Minor cleanup.
4d6375c Quieting animation logs.
05661a7 Makefiles clean up. Building more of the zip, better organization.
497d720 Don't render when doing a final.
1936fbe Render any STL by default.
ab04111 Put the class assets in the proper location.
ca34802 Move the READMEs into their respective directories.
aa78ba3 Adding blank docs
ec66ebe Fixing rendering bugs WRT unions of rendered parts.
62d35a5 Fixing bad json.
0632f3c Renamed models to presets.
4cf43a9 README.html is fine, no need to rename to index.html.
1d8f58e OpenSCAD needn't be so quiet.
bc36f0f Forend Makefile improvements - Now more make-ish... I think.
4883baf Recoil plate length now customizable for TopBreak.
b9e3aa5 A few more Makefile tweaks.
b66ff75 Adding metric presets.
8eadb55 Updating ignores.
1d177ef Makefile building a nice zip.
2d4e796 Removing old params.
2f7123a Fixing bearing surface centering.
b23c1da Updating About a bit.
48c18cd CHAMFER_RADIUS var instead of bare number.
405c283 Improving hammer bolt sleeve docs and code.
8989415 Fillet the frame to the receiver.
f1e77d1 Fillet the mlok block.
c316250 Fixing assembly var names.
0abbbad Filleting stress concentrators under the frame bolts to the reciever.
6a6290e Add infill and fillets for stress concentrators.
02e2da2 Fixing FP37 code a bit, extractor still needs some love.
8f4cdc5 Purging the Rod module
c68df77 Allow more precision in barrel OD.
8e869aa Adding some technical notes about the FCG.
ff53b9f Adding chamfers.
507bef5 Barrel support bolts supports..
2b37c79 Moving toggle down more.
7460e01 Moving text toward the front of the forend.
c27c8c3 Thickened toggle linkage.
744992d Fixing chamfers.
ad75c73 ReceiverFront should have a nicer base
2066a2d Stock docs updated.
35e789c Chamfer the ReceiverFront.
56f66a6 Add Metric options.
30cebd2 Adding optional end-chamfers to ReceiverTopSegment.
e384a14 Minor Stock doc fixes.
9f26d89 Removing old Stock parts.
05c620e Fix hammer print orientation.
5aabaf7 Adding metric patch by fortysevenangles.
c615b32 Fix slot chamfers.
14d9c6e Chamfer the ReceiverTopSegment.
71a8c9a Adding some metric bolts
5ceabf2 Adding technical notes.
64104d8 Artifact base dir is cwd.
711d27b Make the Components subdir.
e115ce9 Fixing K&S tube dimensions.
2650085 Adjusting extractor position.
c7d257b Completely ditching the Stock Latch in favor of a retaining pin.
51d86c2 Sightpost defaults to 1" 4130 tube barrel. Adding Sch40 3/4" pipe preset.
3d8cd22 Adding Fixture4 for recoil plates.
52a9689 FrameBoltIterator is a little more dumb now.
8214efb Use a more mirrored style for the tension rod... Used by the stock.
dc7ae6b CAFE12 is now a configurable option, default is CAFE12+
6ccd1ba Renamed Barrel to TopBreak_Barrel.
e463b00 Minimum pivot Z is based on sch40 pipe. Anything smaller is interchangeable.
972f785 Using a long heatset for the extractor retainer.
1c044e6 Fixing the pivot, a little sloppy.
a45075a Using shorter bolts for securing the barrel sleeve.
d81a8e2 Fixing forend range of motion.
2fefb27 Moved frame bolt positions to fine tuning.
b2ca84a Adding nut arg.
c8bfd3e More recoil plate fixture/jig work.
2b34687 Fixing recoil plate jig.
e970574 Fixing recoil plate clearances. No more front/back clearance.
81a5495 Last commits before rolling an alpha zip.
aa7f05b Adding a clearance offset for the contoured recoil plate.
119e067 Fixing pivot path issues. No need to backpivot with the short sleeve.
3989b2b Adding sling slot and chamfers to ReceiverFront.
0256f6d Embed the bolts in the frame.
43876eb Make the Frame support alpha vars.
c8da9d6 Removing third M-LOK bolt on top.
f319da5 Tweaking M-LOK and M-LOK cluster for printing. Added slots to receiver.
2e1554e Add mlok cluster and foregrip.
b67aa92 No doRender on those mlok cluster.
1754cdc Fixed firing pin cutter.
b11ddeb Removing Latch from break-action builds.
06ea969 Renamed innerRadius to radius for the MlokCluster.
e32a272 Removed ChargingHandleStop from HammerTail.
3a99961 Removing Trigun from Makefile, too early.
b0902bf Longer foregrip, more configuration options.
c9524f3 Manifold fix.
3aed174 Bump the sightpost back an inch.
5b7ebe1 Missed in previous commit.
1be735f Removed the latch code.
8ae78a7 Taller sightpost and heatset-long for the front sight.
e53b3cf Cut mlok bolt holes. Don't cut any clearance for the extractor rear face.
fde9942 Using ".md" links. The .html links are replaced for the zip.
9f59c94 Extractor bolt on the bottom again.
5c9766f Removing _print modules.
cf5cf0d Purging the pump lock rod from the top break.
17266fc Adding distinct BarrelSleeve inside the BarrelCollar.
5d97f53 Adding sightpost to top break.
d168aea Adding FCG to CAFE12 required components.
d80d286 Adding a sightpost component.
962aa1e Make the Firing Pin Collar.
29777c9 Replaced tension bolts in recoil plate with 1/2" flat head bolts.
99c92b5 Updating FCG docs.
2914e05 Added a contoured recoil plate with improved template support.
85f84e6 Tweaking clearances and cutters. Adding chamfers to lower T lugs.
8e4c6ef Split mlok and mlok slot back.
c622a7b Removed side mlok, using long heatset nuts.
5636efd Tweaking disconnector spring, show it in assembly.
4656779 Using 6D box nail for a firing pin.
fbcfda6 Fixing name of NutHeatsetLongMajorRadius function.
016117f Tweaking MLOK shape module.
5eec138 Chamfer the back of the stock.
b874453 Fix README/index.html naming.
46fbc88 Fixing render vars.
2f0c582 Make docs normally navigable on github.
0e174f5 Removing RenderIf/doRender
0d46944 Updating docs and makefiles.
1544e41 Typo fixes.
ddb9647 Adding MLOK shapes and components.
740cffa Adding _SHOW_FOREGRIP.
5b02efe Minor clearance fix, comments.
602226c Chamfer frame support.
af5f84e Barrel doesn't use the Pipe module anymore.
4078e65 Adding side mlok slots to the receiver.
cebf56b Updating CAFE12 docs with print times.
57ceeb1 Fixing sear cutter in SearSupport.
2fa1e0c Tweaking FCG housing/disconnector cutout. Removing old code.
22815c8 Typo fix.
96bdecc FIxing rename of QuickStart..
7d75754 Updating docs and Makefiles.
9c50b8e Renaming FCG file.
401f16d Dist doesn't have the proper deps setup, should run last.
58431a8 Frames are now precious.
6974edc Fixing links on stock page.
f4e2060 Fixing make command.
2277d2f Updating makefile and docs.
b6d6d4f Improving animation spin.
eafae2d Minor refactoring mlok slot.
77ae8ca Add parallel execution.
7edb46a Add ffmpeg and jq build deps.
40f3340 Additional build deps.
2913f87 Removed call to time.
9e74f11 Adding imagemagick dep.
6cae95e Adding xvfb to makefile.
4a52589 Add xvfb for headless rendering.
5604a8d Strip .stl suffix for source name.
cad83b8 Adding Stock link.
365c26c Tweaking dist.
a1ff489 Removed cache arg.
d4ae5ee More Stock BOM updates.
20d79ef Tweaking animation sequence.
c34a87b Adding About page.
b1b839b Updating stock BOM, added mlok mount.
1dadeca Fixing teardrop angle.
91345dc Adding cmark-gfm build dep.
c93bc10 Removing run-as, defaults to root.
60a316d Tweaking buildspec artifact files.
d3b88b2 Adding initial buildspec.yml
b22bddf Adding revolver stls to Makefile.
a9f0911 Hammer tail now fits in the receiver and stops on the stock (or whatever)
6dd1127 Beefing up foregrip-action rod attachment.
8b0d37d Removing unused cutter.
7be3d51 Added takedown pin retainer. Cleaned up sear and added assembly vars.
39d3306 Refined Stock Latch.
9a50cea Extended receiver. Added takedown pin and chamfers.
1044ef2 Don't animate by default.
1012310 Fixing names of stock buttons.
4112394 Fixing Stock.scad path.
51ec708 Fixing LowerMount Makefile references.
4b4e613 Fixing Stock to work with the new naming conventions and Makefile.
8e2a891 Rounding off the bottom slot.
814ad32 Moved ReceiverBottomSlotInterface to Receiver. Buttstock latch prototype
a5b85ae More polishing makefile and manual docs, still needs a lot of work.
ec3f408 Working on a 37mm revolver variant via presets.
573ae71 Polishing docs and makefiles. Renaming without whitespace.
b502089 Internal pivot surface is now always 1/8" chamfer. OD by FrameBoltZ
6f8a05b Adding a BarrelZ offset to help support rimfire.
8e0580c Removing unused imports.
6e0de28 Updating makefiles and documentation.
3eee29a Make the .mp4 part of the prereqs.
913a435 Animation only needs to depend on frames.
447fa1c Updating print stats and description.
b98d49a Parameterized length.
3643af6 Using 20 frames for minimal animation... doesn't like very low numbers.
860d764 Added truncated teardrop support for bolts.
06e6322 Updating markdown docs, Makefiles, and rendering of STLs.
6c1d97d Missed one from LowerMount rename.
ad02351 Added gource command output.
867b3f6 Don't autopreview, messes with make.
2c399ea Renamed Mount.scad to LowerMount.scad
5041e54 Fixing firing pin dimensions.
4982ae7 Removing "Charging Pump" component.
e7383f4 More unifying print/assembly styles. Scaling previews now too.
5d3a4c0 Updating branding... top-break 12ga has a name now.
61207c2 Adding conditional rendering to lower.
27b9afd Updating experimental designs.
b94c002 Adding vertical clearance, was only half-way done.
eab545f Deprecation fix.
aec8684 A bit more work on the pump AR15.
acef565 Magwell was a bit off, need to debug why but this is a bandaid.
9b722b9 Shortened the magwell slightly.
1f41690 Reworked the Pump AR15 to use a more traditional bolt carrier.
6017c0b Typo fix
518ada1 Clean up branding text.
f4bafd9 Adding a module to flip and miror.. particularly text.
364c730 Cleaning up and unifying Customizer style.
0a5f970 Fixing recoil plate position.
166041b Using the longer hammer tail.
b8c027d Adding more sear return spring preload.
52c9abc Fixing rendering of trigger animation. Pin hole is now moves properly.
4e1e55b Rendering the receiver in the mount view is now optional.
32a0c00 Show the lower in buttstock preview.
d5b06a2 Charging handle now has a bolt to chage the hammer.
7ea393c Charging handle finger hole is now bigger and more comfortable.
45fd638 Assembly show/hide for latch.
bed0603 More clearance for the stock plug.
de9de8b Prevent poor first layer (bulge) from interfering with lockup position.
1f66a64 Purging Coupling Bolts and their supports. Will add under separate cover
120b422 Removing coupling bolts from break-action.
0f4caa3 Coupling bolts are now disabled by default.
2ecb9bb Fixing ReceiverFront top segment.. thicker and position fixed.
59a70a1 Fixing recoil plate clearances.
b4b4a96 New customizer style. Frame/coupling cleanup WIP.
aa35e28 Pump grip now has an ID option.
5932aa3 Stock latch WIP. Buttstock attachment mostly worked out.
beb5a0c Using new customizer style, added funs over vars.
df9aa68 Cleaning up large frame, coupling bolts on the way out.
bcf5baf Reworked the break-action forend to be substantially less chonky.
eb219c3 Avoid rendering the whole assembly.
7dd8ae6 Fixing BarrelRadius()
e644537 Frame bolt lengths are now configurable.
dddf54e Added hammer tail. Removed HammerCharger in favor of a socket cap screw.
5122052 Deduping vars. Added display rendering for dovetail.
f939922 Added blast plate bolts. Coupling bolts have a toggle now. Cleaning up display/debug.
69199a1 Make coupling supports optional.
7d67f61 Cleaning up colors and debug fars in FCG.
8d88a99 Added guard against rendering previews.
edfaa52 Fixing template logic.
6ba5f64 Rear trigger finger chamfer is now more extreme.
5a8c04f Adding function for tension bolt length.
d18f2b9 Added clearance to receiver side slot height.
a613574 Adding center support to chamfered cylinder.
3e77a41 Unifying colors.
6016a86 Moving some vars to top level functions so other stuff can reuse.
44de809 Fixing SHOW var.
1fe3864 Extend the rear mount tab to full length.
aac8d84 Added horizontal element to the ReceiverTopSlot.
f063cc4 Adding flags for showing segments of the lower. Removed SPIN_REVOLUTIONS
7b33ba3 Tweaking display of FCG.
191e8a7 Cleaning up clearances and very slightly wonky objects.
322e4a9 FCG display uses cutaway receiver and recoil plate by default.
dd33fa3 Tweaking colors.
33e8843 Reworking how BearingSurface centers.
d4c0c1a Beefing up tension rod walls.
517922b Adding teardrops to heatset nuts.
bd61b66 Tweaking T-Lug, Mount, and Trigger clearances/fits.
f867dc3 Extended shield tabs.
cd8fd7f Removing fillets. Current design of the RecieverTopSegment extends low.
23f35a3 Fixing mlok slot position.
de328ba Introducing intermediate variables. Whitespace cleanup.
6138541 Misc. cleanup and organizing. Deduping and unifying ReceiverTopSegment.
5dcf11d ReceiverSegment now defaults to non-chamfered.
60bc12d Fixing teardrop orientation on T lugs.
b542b61 Fixing BARBB.
4b6fef1 LOTS of changes.
43e8329 Adding explicit overtwist and making that play nicer.
e261ba5 Turned up detail for bolts.
bad75ac Shouldn't be doing an offset based on the minor radius - hard to use.
d7b0deb Minor cleanup to Circle-A and Circle-V branding on the lower.
51beb89 Fixing receiver ID. Added a hammer guide tab to rear lug.
5120819 Adding cutaways.
bb6231d Updating top break for new frame and FCG.
490024a Beefed up receiver, finished stock, polished FCG some.
0ef2ddb Touch-ups to the frame, stock, and FCG.
14c79fd Deleting more large files.
22dc14f Deleting unusedd/large files.
f9c38c2 Removing bulky SVG.
4817d50 Merge branch 'RevolverP3'
bee404f Minor updates to ammo. Early AR15 grip adapter work.
0002056 Minor updates to make break-action work with latest frame. Needs TLC.
ca589dc Latest work on the Receiver+Revolver.
744892b The 2020 RC1 of OpenSCAD doesn't like intersections with one object.
5eb5500 Parameterized cylinder gap.
8f8b0d2 Improving model text.
b9cb046 Rework for a fully printable receiver and compact linear hammer.
a32e477 Twist rate is now configurable and extraTop works properly.
ea8afd1 Cut chamber bolts HOLES even if the bolts aren't shown.
f8b3e62 Removing default sides from chamfers. Let it flow from the parent.
4ba9f99 Fixing renderables in lower.
b949395 Add conditional rendering to pump grip component.
326e048 Additional 8-32 info
1da4bcd Adding a new chamfer tool.
5204e33 Removing unused imports from buttstock.
1a95f32 Added a round nubbin to the spindle latch for comfort.
4cabfb1 Fixing monolithic receiver mesh.
704354a A little cleanup of the monolithic receiver, remove cutout.
7c090d4 Remove unused vitamin.
e8cf80d Added monolithic trigger. Sear rod is now 3/32"
e3db40d Revolver FCG mostly done
811b1c2 Moved receiver tube into its own module. Added renderable monolith.
2c320ef Adding spindle latch.
bfe259a Ignore SAAMI PDFs.
305155a Use 1.75" tubing by default.
06c6dfb Saving my place on the current revolver disconnector and cylinder.
8f749e7 Adding 4-40 and 6-32 bolt specs.
045d7c2 Fixing #6-32 dimensions.
421e48b Tweaking 209 primer dimensions
43f28cc Adding #6-32 bolts.
99cf80e Adjusting flat head bolt dimensions
d7046ab Adding 623 bearings.
4094fe3 Latest pass at a disconnector trip.
3390b52 Disconnector WIP.
743fd4f Defaulting to 1.75" OD PC tube.
265d835 Rendering the cylinder is optional, to permit postprocessing.
52a39dc Fixing flat head bolt teardrop.
cc2900a Fixing heatset nut function dupe.
c045769 Adding new nuts and bolt info.
aa3e796 Added teardrops to flat head bolts.
183c1ad Disabling 2d cylinder rendering.
a1d9c4d Working on a simplified revolver with some TIG welding.
23e1150 Fixing paths.
3710aa9 Parameterized bipod leg diameter.
fbb3812 Adding hex bolt caps.
d1e7a6b Adding "Why"
eb0b084 Enabling nut type to use the customizer.
bfffcfa Fixing metric bits, minor heading cleanup.
1c6faf7 Updating BOM a bit
b62e7a1 Update Quick Start.md
3036059 A few updates to help the newcomers.
42634cc Chamber bolts are optional.
ab39166 Fixing extraBottom.
f4ae1b0 Removed debug hash.
90563fd Moved receiver bolts up and out a bit so they clear the revolver's ejection port.
681b2ca Reordering parts for transparency.
c6a7aec Prototype 3.1
2f35118 Fixed NutAndBolt teardrop for flat headed bolts.
c43e46a Tweaking permissible twist rate (in Customizer).
b797b33 Disabling debugging "!"
96c8ca2 Fixed ReceiverFront_print name.
2f52362 Crane latch actuator bolt added. Tweaked RecevierFront for revolver.
27580ac Fixed teardrop for socket caps.
9a9c134 Showing charging rod.
c3b637b Fixed crane latch diameter at 1.75in
45a1784 Flattened latch bottom, fixed latch support radius.
791a532 Update Quick Start.md
e7c4f46 Fixed Latch handle cutter.
c2e7f27 Last fixes using the helix library for zigzag.
3b8920b Finishing helix top and twist rate changes. ZigZag is now based on Helix.
dfb1eea Final tweaks to the helix file, for now.
febddff Finally fixed the helix?
8f0a16b Adding website link
1970409 Clarified name.
955d7c2 Added CraneLatchRadius() to control the barrel collar radius. Fixed frame extraBottom. Fattened spindle fillet on crane.
8039b0b Rouded the top corners more.
8b518fa Revised chamber and material data.
40d747c Fixing bolt clearance.
ca88ef2 Latest version of the revolver looking good. Still need a latch handle.
fdc4fcb Added MirrorIf meta.
4715b07 Reordering a bit.
1e7dd95 Sealed up all the gas, lets see if it holds.
cf1b606 Current WIP on revolver.
e87c134 Flipped bolt direction.
c6fd968 Fixing quarter inch bolt socket cap size.
81d8860 Update README.md
b4042d0 Update Quick Start.md
237a162 Fixing top break link.
5996a05 lol it needs escaping.
b9afed1 Does it have to start with a dot?
91ab9e6 Updating quick start docs so there's *something* for all you chomping at the bit.
a7e3f0b Merge branch 'WIPNov2019'
c409a3d Merge branch 'master' of github.com:JeffreyRodriguez/Liberator12k
c45333e Adding 2.75 and 3in 12ga shells.
503fc97 Still a work in progress.
6a6588f Adding bolt selection to buttstock.
e4d2788 Improving render menu.
4ab9133 Latest work on the revolver.
6ef73f4 Latest work on top-break.
0fbbbb5 Squaring off the frame and tweaking receiver bolt positions.
2dfc406 Using a 1in gap for the receiver slot.
26fd904 Fixing cylinder and zigzag code.
16c82db Working on fixing the zigzag math.
3528199 Merge branch 'WIPNov2019' of github.com:JeffreyRodriguez/Liberator12k into WIPNov2019
8e60225 Working on fixed zigzag and reinforced cylinder.
1788aec Removed Pipe references. Just straight numbers now.
a31cabc Fixed zigzag height code.
0fcc662 Adding ECM drill code.
d310796 Added HullIf module.
bf88e1e Fixing heatset nut units.
97f616b Tweaking clearance and fn.
60ae763 Fixing paths and beginning some cleanup.
a73b6e6 Removed render() calls.
c034105 Ignore Libreoffice lock files.
6e8bbd2 FrameUpper* is now Frame*
cef99e6 Added long heatset support.
6e8271a Don't render in debug.
bf849a1 Only show the pivot if debugging>
c90c61c Saving my old bottom break code.
e6b3c5e Working on receiver coupling a bit, adding top break version.
872c1ed Allow overriding bolt length.
f524837 Adding RenderIf module.
4831719 Fixing action rod X position.
9083c3d Latest work on break-action before I try flipping it.
b400a54 Fix rendering order, made frame bolts optional.
a51cf39 Fix rendering order for lugs.
70c6dff Don't cut so deep for the pic rail.
5a4a2f5 Fixing render ordering.
2d5a45f Standardizing on 1.5in Sch40 ABS
820fa6c Bumped frame height to a magic number, cleaning up code.
75eb5b4 Receiver is more minimal now.
05f98b1 Adding lower bolt customization
8bd5f91 Configurable width lower middle, based on trigger width. Support bolt passthrough. Rendering with customizer.
ee3b50a Added FrameBottomZ position.
b6326fc Fixing nuts and bolts, adding hex+heateset to coupling bolts, Single slot width, center lug support.
b5143f8 Removing charging pump from frame.
4dd796e Latest work, checkpoint.
11bc666 Adding support for debug; using OD/ID supplied by args.
a26d239 Nut backset was unused.
dbffe15 Adding extract step.
82527a1 Tweaking receiver bolt track and bolt carrier.
37a9f0d Moar clearance.
8aec340 Support extra cam pin square length.
5aff108 Latest on the pump AR15 forend.
9c9e84e Tweaking receiver guide.
52a467a Added extra cam pin height parameter.
e579dc8 Added teardrop support for the helix.
ce5c603 Fixing my math and adding more fns.
00f8f3b Current work on the pump AR bolt.
c8c6ea3 Adding ReceiverGuide for a reusable component.
8976ab9 Adding cam pin track cutter.
8fd2ea8 Latest work on the pump AR15.
7e3795d Fixing nuts.
3943874 Should be including RenderIf.scad
56bcdf3 Scale buttstock print.
4a9bda6 Moved components into shapes.
42b77e9 Moved calculators into documentation.
a42914d Moved Metallurgy into new Documentation directory.
c050ea8 Mirrored latch rods, moving the extractor into the bottom center position.
535f13d Fixing rendering issues.
558ca13 Tweaking colors.
0bf6ed3 Passing through receiver size details for scaling. Receiver.scad can now render all its own parts.
a9e9142 Added the rest of the receiver parts to printable rendering.
f54bf17 Added _print module.
af4063f Updated to use _print style modules.
1ecf302 Moved Lower/ and Magwells/ into Receiver/
528dbc1 Removing old toys and components.
a1e7f86 Renaming Upper to Receiver
fba7576 Moved math into meta dir.
27436e0 Moved chamfer to shapes.
fb4a880 Moved 'accessories' to toys.
2314325 Already exists in Magwells.
f32be1a Removed configurations dir, not used anymore.
e0f339c Latest work to cleanup naming looks good. Adding more pass-through variables when they make sense.
4f2fc4a Removed the cross upper. The 'pipe upper' is now just the 'receiver'
5a714c9 First pass at frame cleanup.
f32b284 Latest version with latch.
75f49af Fixing render issues for performance.
feea1eb Add length option for frame upper bolts.
ae4bb8c Fixing width to work with lower frame screws.
dee885e Rendering the assembly for performance.
de48d8a Move pipe fittings into their own file.
456e884 Only run VLC if animationw as successful. Don't background it.
66b83bd Last of the updates for new bolt style.
161758f Adding helical mags work.
5dde43b Only render if we diff.
8d59002 Updated for new bolt spec style.
a192406 Removed vertical sear pin track and removed custom clearance on receiver lugs.
52ec525 Updated for new nut and bolt style.
74e19e6 Using $fs.
2a6bb2c Removed teardropTop refs. Using UnitsFs()
2dad369 Updating for new nut and bolt style.
0742b61 Move DebugHalf out of PumpGrip.
32befb6 Added pivot2 to start supporting pivots in any axis.
3517095 Remove simple tailcap.
4948edb Tweaked clearances. Lug length now based on lower offset.
1bd66a3 Integrated buttstock with linear hammer, spacer now held by buttstock. Added utility slot.
4ab5510 Teardrop holes by default.
13b7e36 Moving away from references to the Pipe module, working on a new pipe type.
a85dd49 Moving away from references to the Pipe module.
40c3fc1 Adding matchplate for the top face.
d7006d8 Using default clearance.
cd1776a Don't need this anymore.
ce71959 Re-enabling frame spacer.
37898fd Pump grip cleanup. Moved pump grip to it's own file. New ZigZag drill jig. Pivot paths abstracted. Clearances fixed in crane.
1820437 Adding more sides to core cutter.
6d71fe8 Moving to 4mm/8-32 bolts.
4db8321 Removing unused variable.
ef0c751 Cutting sear hole in display models of the lower middle and pipe.
7e44192 Removing charging handle object, not used.
bf59754 Using a fixed grip radius.
625e173 Removing old toys.
e2a099e Using serrated gripping ridges instead of linear cutouts, more printable. Using inner/outer dimensions instead of depending on ReceiverIR/OR functions.
90daa41 Redoing colors.
8e1f6b0 Merge branch 'RevolverShotgun2019' of github.com:JeffreyRodriguez/Liberator12k into RevolverShotgun2019
d72f7c5 Removed guiderod.
35db00d Removed guiderod.
e5fe4d5 Checkpoint before I remove the crane latch guide rod.
9019bf1 Revolver crane handle added.
8f04efe Adding vars for magic numbers. Added spindle collars measurements. Added foward barrel shaft collar. Modularized crane pivot path. Removing crane latch pivot. Mirrored crane pivot rods for ambidexterity.
f478c7b Fixing upper bolt length.
470469b Hiding the left sideplate of the lower.
a6d42d3 Tweaking hammer lengths and chamfers. Removing unused vars.
ad330cb Using a 12in charging rod.
cfe5a34 Added threaded option to shrink bolt holes for threading.
d35086d Whitespace; removed unused code. Formatting.
2069ae2 Added SpindleDiameter/Radius. Added core inner radius.
510c715 Removing old cylinder code.
3f9051c Updated chamber calculator with thick-wall calculations.
13f0690 Moved to 1" tubing with shaft collar. Adding a locking mechanism to the crane.
5fd4c56 Improved styling of pump grip. Added minX option for the charging rod.
14918ca Adding a color to the buttstock.
2a91b2d Removed firing pin offset by default.
08d30aa Added one quarter inch bolt, tweaking 5/16" bolt caps/nuts
9cc8c5b Using slow framerate for Lower_Spin.mp4. Whitespace cleanup.
8323921 Improving bearing surface code. Smarter by default.
35f3a22 Cleaning up zigzag code... better now?
1feff9d Unifying upper frame, wide and stable for revolver and break-action. Added wings and track for charger.
4ef8d61 BARBB on the new pipe receiver, with a magwell and pump?
247baed Chamber bolts now have a configurable offset. ZigZag is slightly deeper, outer wall thinner.
aed2333 Added Y offset function. Shrank housing to near-minimal size.
6260152 Teardrop should be optional, for rendering purposes.
b959248 Tweaking 1/2in bolt clearance.
18bca9a Added new pipe sizes, tweaked clearances.
27bc096 Removed truncation by default on teardrops. Upped RodFn a bit on smaller rods.
24966d6 Added a default undef clearance to bearing.
28f4831 Moved AR15 bolt values into functions. Added chamfers. Added an AR15 Barrel length function.
4de7e71 First stab at a stepper motor vitamin.
03dd173 Added early eprimer work.
9ca3e2f Initial thoughts on powder-actuated tool shells.
bca3999 Cleaning up shell base code, reworked powder/expansion chamber a bit.
038b392 Added more ramset 'primers'. Unified Spec function-style.
7f7eadd Fixing Makefile and SCAD for renders/exports.
2112d4e Fixing makefile for lower, also fixing scaling issues.
0b817ae Chamfering everything with the lower, purged an old Trigger Finger Slot component.
2c14c21 Frame extension is now an option.
e3176a4 Added an extension section.
efafa9a Adding cut option.
ca24d63 Lots of cleanup and splitting files. Early work at adding a revolver crane.
49239f1 Added cylinder bolts, tweaking sizes.
8a98163 Defaulting to teardropping both sides.
ca55323 Fixing nut height and clearance.
6d82244 Tweaking pipe clearance  - wider...
f532dbf Added pipeOffsetX, rearranged plater.
ab5d338 Receiver lug cutters enabled. Chamfered trigger finger curve.
f668028 T-Lugs are now chamfered.
8628bef Cleaning up zigzag supports. Using typical width.
8d18644 Latest version before merge.
110c862 Latest for revolver setup.
537dcc4 Current state before I go mucking with a right angle.
80124e0 Removed the lower from the pipe lugs, moved it up into the pipe upper.
1b6198f Tweaking DebugHalf location for improved performance.
009bf32 Fixing Gear.scad path.
9e4de30 ZigZag angle is now a configurable option. Cleaning up zigzag and cylinder code a bit, exploring some cylinder chamber size options.
f5e8e91 Exploring disconnector and charging options. The disconnector was easy enough in this setup, but I don't have a great option for bringing the charging toggle back. Going to try and do it all in one toggle mechanism next.
97f3457 Streamlining PipeUpper code.
019621e Tweaking clearances on quarter inch rod.
bfa1140 Using flat head bolts, extended frame to new breech style.
8a7dbb4 Only show extra head if cutter.
a58049a Adding template bolt.
f2cabc6 Lots of cleanup, new functions for dimensions and slight refactoring.
03955cc Adding new rod sizes.
d167641 Pipe taper now uses clearance.
0e9b4a1 Reformatted for more compact, easier use.
fa5b4b0 Fixed paths.
8038cb0 Adding a few extra ignores for build-time.
2568a1d Boosted clearance for the major radius... actually doing clearance for it now, too.
e08a39d Added RevolverFrameUpper. Tweaked chamber length slightly for clearance.
7b94fd8 Using a NutAndBolt instead of just a Bolt. Added PipeUpperAssembly to default rendered display.
c743264 Frame upper section is now optional. Customizing breech to the pump revolver. Added locking tab for pump revolver. Organization.
10db238 Tweaking pipe clearances more.
847fbee Added notes for small arms cycle.
25c0c9d Minor updates to cylinder.
10ed876 Added pipe tapers.
8749509 Tweaking pipe clearances slightly.
685beac Removed hardcoded $fn.
c6973a3 Added donut shape.
a00de46 Moved bearing surface into it's own shape.
09d4782 Latest work on revolver shotgun. Fair bit of cleanup and organization.
3436038 Echoing sear length. Added trigger animation factor.
1e9b61f Fixed module name for rendering.
2f94bbf Removed unused plater file.
0b37d96 Removed charging handle from pipe upper dir. It was fixed in master.
c5509d3 Latest updates for pump.
2aea1eb Updates for zigzag revolver.
0d06ac5 Should be the last fixes to the zigzag.
1a9d4dc Removed Printed and Tube uppers, they're old and unused.
07a74cb Updated to use new BreechBolt namespace. Cleaned up old code.
9081301 Cleaning up breech code.
4c7fb08 Removed old and unused frame code.
48ddbe8 Fixed FN for holes.
493820e Fixing frame modules.
22215e7 Cleaning up fixed breech and swing forend code.
cafbb8a Pipe upper now uses componentized charging handle. Tailcap and buttstock are now placed according to the receiverLength variable correctly.
16b910f Whitepsace fixes.
d917faa Should be using PrintablePipeCap.
df89878 Removed BreechRearX references.
19cc8a9 PipeCap is already used by Pipe.scad, renmaed back to PrintablePipeCap.
0eb7e0d Extended cutter, adding whitespace.
d46a083 Merge branch 'CleanupOct2018'
f180360 WIP barbb2
64c6ed5 First stab at pump ar15 forend.. WIP.
3b85cf2 Latest to charging handle.
f632e89 Misc. updates to magwell fit and retention location.
109efb9 Adding bolt thrust.
fa4b09f Adding spring coiler tooling, WIP.
4f777ff Fixed AR15 vitamin paths.
af47795 Added multiple revolutions to AnimateSpin.
ec55dd7 Removed predefined fn
c9ac306 Current work on pipe receiver.
470b3fb Reworking the firing pin a bit, WIP.
d5e4b81 Work in progress cylinder redo.
ffdfdfc Cleaning up pipe components.
285d66b Moving zigzag into it's own shape file.
c3849c9 Tightened tolerances.
e123280 Removed boss by default.
4d6967c Fixing clearance cuts.
fc3501d Added an animation factor argument.
f12836a Simplified trigger track. Removed the sear guide lugs that mounted into the lower middle part.
a764003 Added additional chamfer/teardrop options.
ba117f7 Added 5/16in bolts and M1 bolt (incomplete) for printing out punch templates.
f4433e3 Added center option, cleaning up whitespace.
26402cb Tweaking clearances for 1.5in ABS pipe.
df3e856 Added 3/8in rod, tweaked clearances on 1/8in rod.
55154dd Default to undef clearance.
866194a Whitepsace cleanup and cutter support.
2c76957 More cleanup to the pipe upper.
338de24 Moving the lower into position for the receiver rather than the other way around.
470b4de Latest work with the new breech plate and frame.
e00db00 Added bossEnabled option for the middle accessory boss.
5c071b4 Whitespace cleanup.
cb1ef0f PipeCapDiameter now uses clearance properly.
d4c085e Adding new frames for the pipe upper.
8cd4084 Dynamically set retainingPinLength
5d6b744 Updated Teardrop path to comply with new Shapes dir.
1cf2825 Added cutter/clearance options to the center lug. Also populated default values in PipeLugPipeOffsetZ()
eda3711 Lowered resolution
c82af4e Added retaining pin length option.
bb571b6 Added steel firing pin and retainer component.
3353ebc Final cleanup, of the chamber calculator, I hope.
973b6f1 A few fixes and improvements to slugs.
5a02007 Tweaks for debug.
9eb5bdb Updated with new debug code. Fixed butt tee size to 1in
8cfdb24 Adding missing lookup include.
9643c4c Updated to use componentized pivot and latch.
08f3163 Fixing latch code, spring cutout wasn't the proper length.
93b7f7b Fixing pivot code... pivot hull wasn't pivoting around the specified XZ point.
837c050 Fixing pipe cap depth.
194a850 Fixing latch code.
2e9bfb7 Adding enabled flag and render to DebugHalf.
3440697 pipeSpec should pass through to the insert.
9842bba A few updates to latch component.
2182ae4 Added pivot component.
74d25d9 Adding latch component.
fa199bb Added AR15 vitamins, still a little early, but it's a start.
c740a33 Adding bipod component.
2f583f7 Whitespace cleanup.
af2f7b6 Moved pipe components.
d32b18c Moving pipe cap and insert.
c0b28a6 Moved Semicricle from Components to Shapes directory.
d75fdbc First parts of a tubing straightener.
bee6f75 removing some debugging symbols.
d6e1002 Removed old fitting references.
2694087 Cleaning up break action code for fixed frame.
8181564 Added debugs.
f76a7be Added a ball bearing slug module.
eeb43ef Just something I'm playing with..
3e3e631 Tweaked bolt size a bit.
f2e1ebf A little bit of thinking on a helical mag forend.
b6076e3 Updating to use the new 1in tee, 1/4in rods, etc. More revolver work
370f6e5 Sear length is now only as long as it needs to be, and parametric.
e45925e Cleaning up lowe rplater code.
883c122 Added low profile accessory boss to lower.
55a4214 Cleaning up receiver lug code.
c47c7db Added pipe lugs component
edf873a Added rotation array to cut out different angles.
d827943 Added AnimationDebug. Added end support for SubAnimate. A handful of other intermediate and utility functions for animation timing.
854c864 latest updates.
381422a Rounded boolean gets an angle parameter, chamfered square and cube get teardropTop settings.
6ed6c7b Added gear library.
01d949b Added nutEnable option for printable shaft collar.
5c1677a Should be using the parameterized fitting.
b595436 Added a nutEnable option.
0063eae Bumped clearance on tlugs.
89150f7 Added one inch bushing. Added 3/4in 3k and 1in 2k fittings. Deleted old cast fittings. Tweaked cross fitting fillet code.
b9fa63e Added half inch bolts, working on bolt caps, added hex cap option to Bolt.
9ea3d75 Bumped number of sides.
aed5b8f Added square rod support.
747fd79 Using proper units for FlatHeadBolt.
ee6d3e6 Added FrameRod module.
914d9b1 Committing chamber calculator.
3d2d5b7 Fixing chamfer on the gas tube passageway.
6c0bdc8 Parameterized gas ports.
a46a8b1 Reworked extractor pusher into a simpler design.
c52074b Just a jig for tapping 2020 extrusions with m6.
41b4b68 Saving old arm work
d58101a Reworked cylinder text to use dynamic spacing and scaling.
6a85912 Added handguard code for AR15 pistol.
0972c15 Added optional chamfering by axis.
828cf5a Update Case Hardening.md
2592127 Create Case Hardening.md
1a722cc Added more rounds and materials.
d186790 Working on barbb a bit.
21dd55d Cleaning up flat-head bolts and heatset nuts. Added m2 bolts.
bbbde9a Adding additional options for chamfering.
f80bdc3 Removed hard resolution setting.
309e7e1 Disabled dummy part.
212822c Adding first calculators.
391d562 Removing some extra code from the rework in progress.
ed81bfb Reworking how nuts and bolts work, adding support for different kinds of nuts, WIP.
009d365 Tuning clearances.
f779130 Square hole chamfer is now supports rectangles.
69da040 Moved rail mounts back to standardize on 1in ID, added bipod, got rid of snake_case vars.
f0dde4a Made vertical clearance an boolean option on t-lugs to avoid undercuts on flat prints (i.e. the lower)
66bf5f7 Added 2-piece buttpad/receiver setup. Tweaked manifold issue with the cam pin linear track.
97ff7c4 Added more meat to the hammer guide, easing the slope of the barrel extension landing taper.
e418c2e Restored barrel extension landing, made it much bigger. Tweaking hammer guide.
fe199b4 Minor reorg. Foregrip not on the end of the square tube now.
854357f Tweaking tolerance and fit. Minimized the gas block trunnion.
b7005c7 Fixed barrel extension lip diameter, tightened barrel clearance, fixed cam pin cutout position
7e01c62 Added hammer and spring trunnion.
e1be977 Made sear length configurable.
8fa6ce5 Adding shortcuts to chamfer lib.
3e015b8 Upsized to 1in sqare tube, bumped barrel offset, tweaked wall thickness. More code cleanup, looking really good now.
3655472 Looking ready for a print.
e31c63e Lots of code cleanup, could still use help, but much improved.
074aee8 Fixing firing pin length.
a3a20ea Added bolt ramp!
4df025a Reworked camPinOffset to measure from the front of the bolt, avoids a lot of extra math.
970261c Tweaking ejection port.
ee45cab Added cam pin shelf.
e7d18b5 Cleanup to bolt/cam code. Added extra bolt travel support. Initial pass at an ejection port, that still needs some help.
e16368f Just something I use for my test rig.
bc91e61 First work on forend w/ magazine.
bf6e54a Adding first pass at BARBB.
3be6fa6 Updating tube upper to be a bit more flexible.
cbd1827 Added shell ramp to break action.
b4049a3 Defaulting to no clearance.
d01fbf8 Latest work on ECM.
809249e Making the sear cutter more reusable.
4f484d8 Added square hole chamfer.
c087074 Using a chamfered spindle.
a595d4c Adding FreedomFab CoreXY WIP.
456184d Adding dovetail shape.
5690a15 Using constant PI
550dfb9 Adding linear motion components, printable :)
38b7d59 First pass at freedom fab corexy, still wip.
219ad3d Adding text-on-cylinder modules.
e21cef8 Ends should have more resolution.
a7cee0c Fixed chamfered cube dimensions.
34106a0 Last water feed before breakup.
48214b4 Hull for a smoother transition.
0bdf588 Tweaking fn.
b0d5f2b Adding new rod sizes.
63fc4dd Adding low-resolution support.
2042a48 Adding new rods and pipes.
f154f9f Added chamfers.
04f70f5 Adding chamfer library.
c29a94f Fixed a bug where 1/8" ID oring wasn't rendering properly.
2cf8622 Tweaking mating pin sizes
f9a9a2e Latest work on AR15, including ECM 80%
005e981 Fixing whitespace.
4e05c78 Merge branch 'master' into AR15_CodeCleanup
41c1fdc Current work on push rod.
5b47f98 A bit of ARF cleanup.
4d47da7 Minor cleanup for break-action
d9fd97c Tweaking extractor settings.
7f7ffc8 A bit more work on the extractor, a bit of wrap up and tweaking left.
c6065ba Added alpha to frame coupling nuts.
1debaa7 More of the latest - still just visualizing the extractor pusher.
ad05f42 Latest work on extractor.
43cced2 Added lower view settings.
3ebcf86 Fixing set screw extension during non-cutting mode.
13527be Tweaking Pivot some more.
d897ebf Made pivot a bit more reusable, using that method to backpivot.
de3ddfe Removed unused pivot rod. Minor reorg. Tweaking outer race interface - now requires support :( Also fixed latch collar length.
115bc82 Fixing an issue where the set screw nut hole didn't poke through the wall.
bb87bf6 Added clearance support to the printable shaft collar.
3d07f32 Pivot is looking good, tweaking latch and its handle.
06c044a Added cutter and pipeClearance args to shaft collar.
1ea81f2 Latest changes with the printed shaft collar - going to try something a bit more extreme next.
3de5cd5 Fixing front barrel pivot - moved all that into a module.
d76e7a8 Cleaning up forend code, still need to touch up twist action.
395e9ff Added extract animation step.
abdcced Fixing scallop variables.
c683490 Brining in tubing tolerances
d211d77 Scalloping and flats are now angle lists.
59c1d6e Latest work on pivot lock with pivoted forend. Looking pretty good.
33b56b1 Fixing manifold problems with charger display.
224b85e Cleaning up NutAndBolt header a bit, only showing clearance artifacts when in that mode.
829a92d Fixing manifold problems.
e1526ea Latest pivoted forend, looking pretty good.
f499351 Adding scallop passthrough, clearing the floor by default.
ae7fa35 Adding scallop passthrough.
3a473b7 Explicitly disable scallops for the upper.
92f49d5 Thinning out WallFrameRod.
e426ad7 Added side scallops to save on material.
a0ffc66 Added capHeightExtra passthrough.
24b5362 Working latch, adding some embellishments.
53a1097 Fixing M4 dimensions and clearance.
fcc99b3 Current WIP on latch for pivoting forend.
f760c3c Added Clearance meta. Moved SetScrew into it's own component.
877d800 Use a new ForendX that calculates offsets with washer and coupling nuts.
f96b486 Only show a short frame in the base view.
570efd2 Removed trigger dependency. Fixed display and plater for the inserts.
9acfc4b Fixed charging handle cutout width.
a8870bf Removed references to Reference.scad where possible. Moved it into Upper/Cross where it belongs before dying.
2ea2235 Fixing lugged forend, cleaning up alpha code.
d90ebb3 Cleaned up forend single.
c6ae15e Organized new Upper/Cross/Internals/
6c730cc Moved 'Cross Fitting' to 'Cross'
236ee87 Fixed sidebars file name, moved frame up in display priority.
0651039 Showing stocks in break and twist action configurations.
3e4efd0 Updated to note that it's missing pivoted info.
c8bf193 Moved Liberator12k.scad to Base.scad - it doesn't contain any 'final' parts.
f4dda95 Added epoxy tray consumable.
d09456e Added ignores.
8784a11 Some last tweaks to the configurations.
42818eb Moved cross inserts to use new Sidebars code.
c8151c5 Cleaning up break action and striker display.
556668e Current work on a pivoted forend.
a6f3606 Working with .75in OD barrel for forend slot cutter.
b0bd88f Made barrel configurable.
ed9355f Minor code cleanup.
9d68f1d Made frame length configurable, tweaked display a bit.
4319489 Removed shaft collar cutout from sear guide, not used at the moment.
869ca36 Tweaked striker size and bolt position. Added striker drilling jig.
884a4b9 Fixed cutout for striker top, tightened up clearnace a bit.
59e0c08 Added .22 sample.
8e1d5c8 Added a nutEnable option.
ad2acb6 Making double shaft collar a bit more configurable.
67f316a Removed unnecessary block. Added 'single' option to charging insert for printing.
25bc99a A bit of code cleanup, also working on .44 magnum barrel.
6a2d98f Added 'wide track' option for trigger middle sear guide area. Was getting print artifacts. and thin overhangs.
3fd1fa2 Steel shaft collar-only version.
a162030 Set frame colors.
e440cd0 Messed up the bearing shaft collar cutter scaling in the last go-round. No longer truncating pivot rod teardrop.
4247806 Working on pivoted forend and cleanup.
5addce7 added teardrop to rod.
7cb944a Added hose barbs, orings, thickened walls, removed vertical water channels in favor of a large open area.
cf71f60 Moved hose barb extension into it's own component.
ff57d0e Tweaking clearances and organizing types.
7424e5e Added hose barb extension component.
34640e4 Made the set screw a little less obnoxiously big.
3bc1735 Whitespace cleanup.
a0835ee Reverted oring changes.
747e148 Added reamer code.
9db8d0f Intial work on slotting tool.
46eafc0 Latest on the rifling mandrel.
38cbc8f Tweaked rod oring position.
63af206 Tweaking chambering tool.
2a0d4a3 Removed boring tool - it's built into the waterfeed now.
638e24d Added some additional loose clearance to 0.75in OD tubing.
9fddcba Added set screw and tweaked oring positions on waterfeed.
7fc8d9d Using teardrop torus for orings.
65eccac Added resolution to the outer wall. Added teardrop to screw. Added screw Z offset.
c382ba7 Added teardropped torus component.
e407c61 Added some more sides for the hose barb, bettter resolution.
a61b37b Major docs cleanup.
7b5c29a Cleaning up rifling mandrel file, working on 44mag
4e751c1 Moving water feed to top of ECM dir.
5b3fd34 Latest work on a boring tool.
4a5bb1a Tweaked printed shaft collar wall, half inch is a bit much.
b0ee87f Added truncated option for teardrop.
2779509 Missed a comma there.
f89a43e Added half inch rod.
e037ab6 Updated pipe cap to be fairly basic. Adding orings in different file.
4e31a5b Moved L12k to it's own config directory.
d34b128 Adding oring component.
79e5b2a Playing with this solenoid EDM thing.
25684cd Adding ECM tooling prototypes.
486136a cleaning up docs a bit.
f367260 Adding pipe cap component.
724cae0 Cleaning up printable shaft collar code.
4384c91 Added hose barb component.
051f6d0 More things moving and getting added.
531a3df Move the carriage bolts back a bit to save space in the coupling nuts.
372eb8e Fixed ramp for charging handle protection.
f0eff09 Adding ECM early ECM work and misc. tooling reorg.
8c2dc7b Adding a shaft collar component.
8d850ff Rendering lug now.
82be432 Added AR15 and 1911 magwells from measurements.
f564ab9 Initial work on showing pivoted forend.
dc3541f Minor tweak to lower plater.
7872b41 Removed reference.scad
266b486 Minor tweaks for pivoted lower pistol.
58535ba Added handle cutouts for sear support tab in trigger.
e763524 Cleanup after relocation and work on tube forend. Added Pivoted forend experiment, with 608 bearings. Added Pivoted forend experiment (very eary) with no bearings."
abfc5eb Updated frame retainer to use quadrail.
8aa02a1 Removed single breech file.
c7d2588 Removed charger sideplates for two-piece cross upper housing. Moved, cleaned up and modularized barrel lug cutter.
a69d239 First pass at 18650 battery vitamins.
6778c6d Cleaning up forend code after move.
7f943c6 Added double shaft collar measurement functions.
f9e2f3d Added radius lookups for bearings.
b339e18 Moving away from Reference.scad, removed ceiling clearance cutter.
ed0158c Removing ceiling clearance from quadrail call in carrige bolt plate.
ab610cc Removing unused plater.
6f88fc5 T-Lug doesn't support extraHeight, it's just height.
7abdf1c Added clearance to t-lug width.
1d71066 Added ball bearing and bridge slugs.
0397b61 Working on a Bridge nylon shell that doesn't shatter.
57af088 Added primer radius functions.
9d87c64 Adding new cartridge size for 12ga.
22e669e Adding spring to firing pin retainer - work on printed upper pistols.
1815e98 Adding AR15 tap.
b9e4513 More tweaking to snug tolerance.
458999f Adding options to bearing.
71d873d Moving lower components into their own reusable modules.
295f08b Configurations WIP.
ee0634c A few tools and jigs.
0e0805b Pipe upper WIP.
3f2f290 Early WIP on the printed upper.
12f8b94 Cleaning up striker and fire control internals.
c6a12b7 Working on a threadable hole-cutter.
fb36d18 Tweaking pipe fitment.
389cc37 Added LowerGuardHeight() function. Upgraded all lower bolts to M4x30. Modularized handle bolts Repositioned some grip bolts. Moved A/V logos, they're no longer cutting in - but sticking out. Modularized the trigger retaining pocket in the lower-middle part
365a47d Added extra options for NutAndBolt. Tweaked M4 settings.
8325f18 Adding derived functions.
245eaaa Bumped resolution of the tee insert.
f243626 Made pins optional, extended the nail hole length.
42a9a5b Moving cylinder to components.
6a6c167 Missed the shell topper in the last ammo commit.
eaf9fb4 Moving to smaller striker rod.
41ba310 Moved ReceiverInsert to TeeInsert. Charging handle width is now an independent variable.
cbddeea Upgraded sear bolts to m4
cf4af11 Fixing some kinda buggy striker bits.
5a0e53c Upgrading to m4 bolts
7f56fcd Added M4 bolt specs.
6e6a052 Cleaning up 12ga shell code, working on ball-bearing birdie.
7f958b0 Disabled 'printable'.
d36cd77 Cleaning up reference code Cleaning up L12k configuration.
03bc1d3 Added charging handle protector.
b4b6e6a Cleaning up charger code a bit.
c2e55bf Added 'bead sight' to the front forend piece.
8009f97 Fixed hollow cross fitting.
5351de6 Fixed RodFn
2294a37 Moving striker to cross upper. Cleaning up forend code. Added charging handle protection tabs.
a96cec9 Added teardropped bolts.
0962db2 Bumped insert clearance... slightly snug in there.
cdadcbb Renamed UpperReceiver... to CrossUpper...
8b43351 Migrated rod code to function-style. Teardropped the firing pin guide.
38de044 A bit more code cleanup to the cross-fitting upper.
c983ea0 Isolating forend into it's own subdir.
62c1159 Added bolt length extra for easier cutting.
73e3c3f Greatly simplifying the rod drilling jig... I think.
16efef6 Added a backplate to support using 5/16in carriage bolts
6f485d5 Display sear support tab in the right spot.
1a6ebfd Cleaning up frame code.
dac170c Clarifying reset steps. Cleaning up a bit. Charger is now a charging "handle"
b85b7c9 Animate should 'nice' the commands.
d12ada3 Lots of cleanup here and there. Looking at barrel lugs for the next test.
f86e9d8 Added double shaft collar vitamin.
38888b2 Added missing semicolon.
6443509 Added shell base radius function.
c9970ce Reorganizing a bit. Renamed TriggerGuard to Lower centralizing around the receiver lugs (grip tabs).
66f4bf8 Adding pipe drilling jig.
b505823 Added resolution component.
f208fdc Isolating trigger guard and trigger.
195e34b Using firing pin retainer component.
f301686 Widened sear pin track on the grip to 0.8 so a 0.75in pin will fit comfortably.
f7a616a Tweaking barrel clearance to something that can be installed by a mere 200lb gorilla.
db3e96d Using a configurable variable for ID.
ce11ff2 Added rimfire offset to the firing pin retainer.
6c2a4a4 Added teardrop
ca7bc97 Cleaning up bolt option code.
d166501 Tweaking bolt and nut position.
e46723f Added nut backset option to move the nut further up the bolt.
234794e Adding pipe insert stack component.
333b17e More options for tube housing.
e7629c7 Added barrel-guide pipe insert toy.
ea7e3aa Added first magwell code, starting with 9mm 1911
010ba6b Using sear cutter instead of cylinder.
aa9ed19 Updated to use pipe insert component.
e97a6cc Updated to use Nut And Bolt vitamins, added color.
900d70f Setup to drill a five sixteenths rod.
414abba Added accessory bosses to the grip middle.
83d4af1 Widened trigger slightly, fixing trigger bolt Y offset.
eb3c9d2 Added pulltab toy.
57f4670 Adding pipe insert.
14bcbb6 Adding retaining pins component for firing pin nail.
231667f Adding pipe insert component.
e0da75c New pipe, cleaning up code.
6f2aa3f Adding M8 bolts, tweaking clearance.
d579762 Cleaning up a bit.
281777b Moving sear bolts to Nuts And Bolts lib. Added sear bolt holes for the sear support insert.
8f1295e Cleaning up trigger guard screws.
de64372 For testing the grip.
81fa993 Ignore animation files.
d13954c Adding my animation generation script.
caf318f Adding the AR trigger pack
cd5aefa Added rod drilling jig.
94061c1 Added pipe insert component, will migrate striker at a later date.
d2d9765 Showing tee housing again.
655779e Added 'clearanceSign' to pipe diameter/radius methods.
9c9e46d Moved sear code from Sear Guide.scad to Trigger.scad
517226a Removing dupe cylinders.
f794ca3 Housekeeping in the pipe vitamins.
728481d Deleting legacy rod code, explicit undef inputs on lookup methods.
ac4d1ba Added 'extra' lengths for cap and nut cutting. Added some extra clearance to the M3 bolt diameter.
8d2b406 Minor cleanup.
93f5aa4 Ignore animation frames.
9027282 Reordered grip tab file, added optional bolt hole.
1dc5f0a Removing manifold from debug lib.
d7a0517 Added spin module.
2950fd0 Added options for showing/hiding components.
08e7009 "Sear.scad" is really more of a guide.
452efb4 Adding generic tube housing toy.
84ec54c Added overridable pipe FN
e019f3e Added strength in tab support areas, grip tab holes, slightly shorter bolts for deeper nut holes.
4751b74 Using a nicer see-through style.
5a3f2f8 Minor cleanup.
af131dd Cleaning up bolt holes.
ab09341 Latest WIP.
87c35a7 Using sear bolts file.
821e218 Renamed solid to hollow in square tube
6e68e6c Added debug chambers, cleaning up rendering points.
f75ad97 Using sear bolts file. Deleting unused yoke and spring code.
921ee4a Isolating a file to define the sear-fixing bolt positions.
4fe738a Adding cutter support to nuts and bolts.
2264fd7 Added baseHeight option for receiver inserts.
46e6140 Moving frame wrench to it's own first-class file.
7423024 Cleaning up shotgun shell code.
c827da3 Added primer lookup functions.
f364f35 Added 12ga version and centering to box mag.
f8c8166 Cleaning up cartridge code a bit.
011ebcc Tweaking clearances.
8c499a2 Pre-rendering spacers. Added debug half for the reference model.
31ee934 Added reset animation step.
665c61d Cleaning up buttstock code.
c0c005f Cleaning up 12k overview file.
e4ddeb8 Made spindle length configurable.
f0ee8ad Working on trigger ideas.
422ef5c A tool to stick a handle on a piece of rod.
17c37dd Moving sear into it's own file.
d6d3357 Added cross fitting casting infill. Added 3/4in tubing.
256bbd3 Tweaking rod clearance.
d5fb61f Added spindle component.
ee35cb9 Adding nuts and bolts library.
6db87a2 Adding units lib.
7a8e328 Enabled rear faceplate.
f41720f Transparency over debugging.
b317bc5 Added a topFactor to make the tip length configurable.
8a755a6 Initial work on relocating grip.
75fa0ae Latest work on the sear and charging handle.
1e5b438 Initial rework with the Henry-style sear.
8e131cc Working on striker setup.
e1d5ef9 Fixing typo.
22df685 Adding nozzle multiple tools.
f434642 Inverted frame rods, added animation sequences, more cleanup - still lots more to do.
b4cd9e5 Adding additional methods for calculated and lookup values.
a636c1e Added PipeThreadDepth to Pipe type.
b99c8a4 Tee housing 4 WIP
fc49ebd Upgrading to a forged tee, still WIP on that front. A bit of work on a 22LR magazine.
789d82c Removed debug line.
fc109cb Just a little work.
3ccbb00 Fixed safety cutout angle on trigger. Bumped safety up to 3-in major OD.
46bc21e Commented t=0 out.
0df5b1d Using reference components.
1fe0e89 Latest work with trigger, safety, and reset spring.
609c56a Adding a grip safety.
cf13aa0 Adjusting firing pin guide position.
946edbf Shortened sling slightly.
07b16b9 Removed explicit sear and trigger previews from tee housing.
fc821fa Extended front forend segment slightly.
7bb3e6a Animated striker.
16cdb66 Added center and semidonut support.
8429a0c A few extras.
b882c38 Redesign looking really nice.
683efd0 Saving progress.
2e9bce4 Cleaning up code for forend
11545b7 Added new tee details and changed rod to 8 sides.
f7bf36b Saving the latest, looking really good actually.
9b147b5 Added trigger guard, moving pieces to reference.
44bc921 Checkpoint.
d205754 Tee body redesign coming together well, still needs a latch. Added DOM and switched to 5/16 rods.
8519e30 Reattached locking tab wrap. Made trigger insert uni-directional.
cf0f792 Tee housing looking pretty good. Trigger pack integrating nicely.
c607ddd Major cleanup. Might've broken some old toys, but much improved.
7fc2dcb Still WIP, but looking good.
ffa8bc3 Beefed up tee housing.
961e024 Improving rod settings. Added 3/4 tubing.
6f7d050 Rendering a few things on the shell so they don't look like hell.
c51e5cc Commiting current changes.
5b06ea4 New inverted trigger coming together.
3a4d4db Latest work on trigger, made a mess.
c7be21f Current work on new trigger.
21afc71 New profile looking good.
226e525 Starting work on trigger spring.
1e3cef8 Committing this trigger before I break it :)
067d3e6 Committing before my HDD dies.
d7cb406 New tee housing, and some of the other ideas I've been working on.
eb8b5ed Starting on the two-part striker guide.
a644a9e A bunch of cleanup and some work on a new striker/hammer.
c948d3a Current WIP.
3a983c5 Latest work on the striker, sorta working.
c4074a2 Initial work on the striker.
29276e2 Unlicense rather than License.
1a3d7ab Added unlicense and a bit of tweaking to the readme warning/disclaimer.
9b03967 A bit more cleanup
6cf83fb A bit more cleanup.
20d2ea3 Removed FOSSCAD AR15 grip, a bit of cleanup.
8a4f5b1 Tweaking for vitamin and print dimensions.
f2bcd92 Minor color changes
b4a3527 Disabled for plater
e615739 Latest work on revolver, looking pretty good.
3d28e0d Current work on the revolver project.
0bc3848 Turning off debug mode on a few bits.
4cf8648 Removing old trigger geometry image.
10844fa Removing the old assembly.
6592923 Added readme and basic disclaimer.
c07208e Moved the grip mount to it's own file, cleaning up some dimensions.
83ef3f2 Added front block and trunnion socket as well as holding bolt holes.
0a161a5 Added spring block and socket.
db063de Disabled trigger housing prototype.
bb8d92b Lengthened trigger wings.
95e7078 moved trigger assembly into it's own file.
369ac9c Added upper and lower clearance to trigger wings. Reduced sear collar height slightly.
75bc4e0 Thinned trigger, thickened trigger wings. Fixed sear block track height issues. Fixed trigger positions. Fixed trigger angle cutter length. Added calculated offset for trigger wings. Animated trigger.
32cb9cd More fixing to trigger win tracks.
5429aa5 Widened sear collar pocket
25f6064 Fixed sear block incline padding.
f5a672e Removed sear bottom track, it's doing double duty
d53408c Removed bottom sear collar - going to stick with plastic on the bottom for now. Fixed trigger wing clearance.
e74e212 Updated STL to use the full model.
347125b Getting ready for merge.
deabb36 Latest design image
33b7f2b Lots of clean up to variables and bug-fixing on dimensions, still needs a fair bit more. Added shaft collars :)
c1d00c1 Adding a bit more clearance to the sear block. Hoping to avoid sanding everything except the ramp.
60e3b07 Housing pins are now cubes instead of cylinders. Fixed housing pin male/female settings. Reduced housing pin length 1/16 Reduced trigger travel by 1/16. Added 1/64 more clearance to sear block.
0c23da0 Fixed pin/sockets being backwards on the right. Positioned parts for printing.
d8a3093 Added trigger wings and alignment pins. Fixed a few calculated dimensions.
62b29e2 Added Henry trigger STL file.
955d45f Adding images from today.
87dedbf Latest work with the Henry trigger.
6f4da1c Latest work on the trigger.
b6068ee Looking pretty good, about to work on clearances.
43a5a24 Refactoring geometry a bit with visual aid
8adf398 Initial work on L12k trigger.
